Package: org.apache.groovy.groovysh.commands

## [Groovy] Class RegisterCommand

- org.apache.groovy.groovysh.commands.RegisterCommand

-     class RegisterCommand
      extends CommandSupport

  The 'register' command. Registers a class as a new groovysh command. Requires the command to have matching constructors (shell) or (shell, name, alias).

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `COMMAND_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RegisterCommand(Groovysh shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `execute(List<String> args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Property Detail

    - #### static final String COMMAND_NAME

  - ### Constructor Detail

    - #### RegisterCommand(Groovysh shell)

  - ### Method Detail

    - #### @Override
      Object execute(List<String> args)